Removes a directory

- « streamWrapper::rename

- streamWrapper::stream_cast »

- PHP Manual
- streamWrapper
- Removes a directory

# streamWrapper::rmdir

(PHP 5, PHP 7, PHP 8)

streamWrapper::rmdir — Removes a directory

### Description

public streamWrapper::rmdir(string `$path`, int `$options`): bool

This method is called in response to rmdir().

> Note:

> In order for the appropriate error message to be returned this method should not be defined if the wrapper does not support removing directories.

### Parameters

`path`

  The directory URL which should be removed.

`options`

  A bitwise mask of values, such as `STREAM_MKDIR_RECURSIVE`.

### Return Values

Returns `true` on success or `false` on failure.

### Errors/Exceptions

Emits `E_WARNING` if call to this method fails (i.e. not implemented).

### Notes

> Note:

> The streamWrapper::$context property is updated if a valid context is passed to the caller function.

### See Also

- rmdir() - Removes directory
- streamwrapper::mkdir() - Create a directory
- streamwrapper::unlink() - Delete a file